package com.jeeplus.test.reimbursementProject.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.test.reimbursementProject.domain.dto.ProjectReimbursementBusinessTwoDTO;
import com.jeeplus.test.reimbursementProject.domain.dto.ProjectReimbursementDTO;

import java.util.List;

public interface ProjectReimbursementBusinessTwoService {

    IPage<ProjectReimbursementBusinessTwoDTO> findListPage(Page<ProjectReimbursementBusinessTwoDTO> page,
                                                           ProjectReimbursementBusinessTwoDTO ProjectReimbursementBusiness);

    void delPhysicsById(String id);

    /**
     * 根据发票id删除发票信息（逻辑删除）
     * @param idList
     */
    void deleteByList(List <String> idList);

    void addData(ProjectReimbursementBusinessTwoDTO ProjectReimbursementBusinessTwoDTO);

    List<ProjectReimbursementDTO> findSelectList();

    void modifyBindCode(String ids,String businessCode);

    List<String> findSelectYearList();

    List<ProjectReimbursementDTO> findSelectCodeListByYear(String year);

    ProjectReimbursementBusinessTwoDTO findDataById(String id);
}
